 #include <QtGui>
 #include <cmath>
 #include <iostream>
 #include "cartesiano.h"
 #include "mycartesiano.h"
using namespace std;

 void myCartesiano::paintEvent(QPaintEvent *)
 {
     QPainter painter(this);

    // this->plot_axis();	 //disegna gli assi

     // set scale & x0,y0  
     painter.scale((width()) /fabs(x1-x0), -(height())/fabs(y1-y0));
     painter.translate(-x0, -y1);
     

     //disegna una linea 
     QLineF line(x0,y0,x1,y1); 
     painter.drawLine(line);
     

     //tabula sin(x) in un array da 100 punti
     int np=100;
     QPointF points[np];
     double dh=fabs(x1-x0)/np;
     double x; 
     for(int i=0; i<np; i++){
	x=x0+dh*i;     
        points[i] = QPointF(x,sin(x));
     }
     
     //disegna i punti precedenti congiungendoli 
     painter.drawPolyline(points, np);

     //cambio colore
     QColor mycolor(127,0,127);
     painter.setPen(mycolor);
    
     //tabulo la funzione coseno
     for(int i=0; i<np; i++){
	x=x0+dh*i;     
        points[i] = QPointF(x,cos(x));
     }
     //disegno i punti
     painter.drawPoints(points, np);

 }
